Loading...
Searching...
No Matches
Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >::Implementation< is_direct_solver, Dummy > Struct Template Reference

Implementation that works together with iterative ISTL solvers, e.g. Dune::CGSolver or Dune::BiCGSTABSolver. More...

`#include <dune/istl/solver.hh>`

Inheritance diagram for Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >::Implementation< is_direct_solver, Dummy >:

## Static Public Member Functions

static void | setMatrix (ISTLLinearSolver &, const BCRSMatrix &)

## Detailed Description

template<typename ISTLLinearSolver, typename BCRSMatrix>
template<bool is_direct_solver, typename Dummy = void>
struct Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >::Implementation< is_direct_solver, Dummy >

Implementation that works together with iterative ISTL solvers, e.g. Dune::CGSolver or Dune::BiCGSTABSolver.

## Member Function Documentation

## setMatrix()

template<typename ISTLLinearSolver, typename BCRSMatrix>
template<bool is_direct_solver, typename Dummy = void>

void Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >::Implementation< is_direct_solver, Dummy >::setMatrix | ( | ISTLLinearSolver & | ,
|  | const BCRSMatrix & | )

inline static

The documentation for this struct was generated from the following file:

- solver.hh